﻿@model DataBaseFinalProject.ViewModels.CreateIncomeTransactionViewModel

@{
    ViewBag.Title = "Edit income category";
    Layout = "_Layout";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm("Edit", "IncomeTransaction", FormMethod.Post))
{
    @Html.HiddenFor(model => model.IncomeTransaction.Id)
    
    <div class="form-group">
        <label for="ClientId">Choose user:</label>
        <select id="ClientId" name="IncomeTransaction.UserId" class="form-control">
            <option value="">Choose user</option>
            @foreach (var user in Model.Users)
            {
                var selected = user.Id == Model.IncomeTransaction.UserId ? "selected" : "";
                <option value="@user.Id" selected="@selected">@user.Nickname</option>
            }
        </select>
    </div>
    
    <div class="form-group">
        <label for="ClientId">Choose category:</label>
        <select id="ClientId" name="IncomeTransaction.CategoryId" class="form-control">
            <option value="">Choose category</option>
            @foreach (var expenseCategory in Model.IncomeCategories)
            {
                var selected = expenseCategory.Id == Model.IncomeTransaction.CategoryId ? "selected" : "";
                <option value="@expenseCategory.Id" selected="@selected">@expenseCategory.Name</option>
            }
        </select>
    </div>
    
    <div class="form-group">
        <label asp-for="IncomeTransaction.Amount">Amount:</label>
        <input asp-for="IncomeTransaction.Amount" class="form-control" />
        <span asp-validation-for="IncomeTransaction.Amount" class="text-danger"></span>
    </div>
    
    <div class="form-group">
        <label asp-for="IncomeTransaction.Description">Description:</label>
        <input asp-for="IncomeTransaction.Description" class="form-control" />
        <span asp-validation-for="IncomeTransaction.Description" class="text-danger"></span>
    </div>
    
    <div class="form-group">
        <label asp-for="IncomeTransaction.CreatedAt">CreatedAt:</label>
        <input asp-for="IncomeTransaction.CreatedAt" class="form-control" />
        <span asp-validation-for="IncomeTransaction.CreatedAt" class="text-danger"></span>
    </div>

    <button type="submit" class="btn btn-primary">Save</button>
}